Bug 1293015 - kernel-tests: scripts need fixes to run under Python3
kernel-tests: scripts need fixes to run under Python3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 01:44 EST by Craig Rodrigues
Modified: 2017-08-03 10:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 16:13:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Use-print-as-a-function-for-Python-3.-PEP-3105.patch.txt (20.08 KB, text/plain)
2015-12-19 01:44 EST, Craig Rodrigues
no flags Details
0002-Use-repr-instead-of-backticks.-PEP-3099.patch.txt (1.37 KB, text/plain)
2015-12-19 01:45 EST, Craig Rodrigues
no flags Details
0003-Fix-exception-handling-syntax.-PEP-3110.patch.txt (963 bytes, text/plain)
2015-12-19 01:45 EST, Craig Rodrigues
no flags Details
0004-Use-input-instead-of-raw_input-.-PEP-3111.patch.txt (2.51 KB, text/plain)
2015-12-19 01:46 EST, Craig Rodrigues
no flags Details
0005-Remove-extra-parentheses.patch.txt (1.34 KB, text/plain)
2015-12-21 16:32 EST, Craig Rodrigues
no flags Details

  None (edit)
Description Craig Rodrigues 2015-12-19 01:44:42 EST
Created attachment 1107592 [details]
0001-Use-print-as-a-function-for-Python-3.-PEP-3105.patch.txt

I originally sent this e-mail: https://lists.fedoraproject.org/archives/list/python-devel%40lists.fedoraproject.org/thread/3EP3MBRQNGC56VTUWFA74L3Y7VKYXC5P/

but was told that I should follow up with a bug.

The kernel-tests scripts at https://git.fedorahosted.org/git/kernel-tests.git
have Python code which does not run under Python3.

The attached patches fix these problems.
Comment 1 Craig Rodrigues 2015-12-19 01:45 EST
Created attachment 1107593 [details]
0002-Use-repr-instead-of-backticks.-PEP-3099.patch.txt
Comment 2 Craig Rodrigues 2015-12-19 01:45 EST
Created attachment 1107594 [details]
0003-Fix-exception-handling-syntax.-PEP-3110.patch.txt
Comment 3 Craig Rodrigues 2015-12-19 01:46 EST
Created attachment 1107595 [details]
0004-Use-input-instead-of-raw_input-.-PEP-3111.patch.txt
Comment 4 Justin M. Forbes 2015-12-21 16:13:33 EST
These were applied.  Thanks!
Comment 5 Craig Rodrigues 2015-12-21 16:32 EST
Created attachment 1108487 [details]
0005-Remove-extra-parentheses.patch.txt
Comment 6 Craig Rodrigues 2015-12-21 16:56:59 EST
(In reply to Craig Rodrigues from comment #5)
> Created attachment 1108487 [details]
> 0005-Remove-extra-parentheses.patch.txt

Thanks for accepting my patches.  Here is another small fix, and then I'm done. :)

On a separate note, I submitted similar small fix to kerneltest-harness: https://github.com/jmflinuxtx/kerneltest-harness/pull/21

but I guess I can follow up that on github rather than in this bug.
Comment 7 Justin M. Forbes 2015-12-21 17:12:41 EST
Yup, I saw your updates there, but I want the others to have a look at them before I apply. Guessing this won't happen until the new year with the holidays here and half the folks already on vacation.
Comment 8 Petr Viktorin 2016-05-10 16:35:16 EDT
Hello,
Should a separate bug be opened for that last patch?

Note You need to log in before you can comment on or make changes to this bug.